### Type parameters

- #### T

### Hierarchy

- BatchWriteSingleTableRequest

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- keyFn
- logger
- metadata
- modelClazz
- params
- tableName

### Accessors

- toKey

### Methods

- createDeleteRequest
- createPutRequest
- delete
- exec
- execFullResponse
- put
- returnConsumedCapacity
- returnItemCollectionMetrics
- write

## Constructors

### constructor

- new BatchWriteSingleTableRequest(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>): BatchWriteSingleTableRequest

- - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:33

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### modelClazz: ModelConstructor<T>

  #### Returns BatchWriteSingleTableRequest

## Properties

### dynamoRx

dynamoRx: DynamoRx

- Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:25

### Private keyFn

keyFn: any

- Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:33

### Private logger

logger: Logger

- Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:31

### metadata

metadata: Metadata<T>

- Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:27

### modelClazz

modelClazz: ModelConstructor<T>

- Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:26

### params

params: BatchWriteItemInput

- Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:29

### tableName

tableName: string

- Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:28

## Accessors

### Private toKey

toKey:

- Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:18

## Methods

### Private createDeleteRequest

- createDeleteRequest(item: T): WriteRequest

- - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:104

  #### Parameters

  - ##### item: T

  #### Returns WriteRequest

### Private createPutRequest

- createPutRequest(item: T): WriteRequest

- - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:105

  #### Parameters

  - ##### item: T

  #### Returns WriteRequest

### delete

- delete(items: T[]): BatchWriteSingleTableRequest<T>

- - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:66

  #### Parameters

  - ##### items: T[]

  #### Returns BatchWriteSingleTableRequest<T>

### exec

- exec(backoffTimer?: randomExponentialBackoffTimer, throttleTimeSlot?: number): Observable<void>

- - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:87

  #### Parameters

  - ##### Default value backoffTimer: randomExponentialBackoffTimer = randomExponentialBackoffTimer

    generator for how much timeSlots should be waited before requesting next batch. only used when capacity was exceeded. default randomExponentialBackoffTimer

  - ##### Default value throttleTimeSlot: number = DEFAULT_TIME_SLOT

    defines how long one timeSlot is for throttling, default 1 second

  #### Returns Observable<void>

### execFullResponse

- execFullResponse(backoffTimer?: randomExponentialBackoffTimer, throttleTimeSlot?: number): Observable<BatchWriteItemOutput>

- - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:96

  #### Parameters

  - ##### Default value backoffTimer: randomExponentialBackoffTimer = randomExponentialBackoffTimer

  - ##### Default value throttleTimeSlot: number = DEFAULT_TIME_SLOT

  #### Returns Observable<BatchWriteItemOutput>

### put

- put(items: T[]): BatchWriteSingleTableRequest<T>

- - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:74

  #### Parameters

  - ##### items: T[]

  #### Returns BatchWriteSingleTableRequest<T>

### returnConsumedCapacity

- returnConsumedCapacity(value: DynamoDB.ReturnConsumedCapacity): void

- - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:58

  #### Parameters

  - ##### value: DynamoDB.ReturnConsumedCapacity

  #### Returns void

### returnItemCollectionMetrics

- returnItemCollectionMetrics(value: DynamoDB.ReturnItemCollectionMetrics): void

- - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:62

  #### Parameters

  - ##### value: DynamoDB.ReturnItemCollectionMetrics

  #### Returns void

### Private write

- write(backoffTimer: function, throttleTimeSlot: number): Observable<BatchGetItemOutput>

- - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:100

  #### Parameters

  - ##### backoffTimer: function

    - - (): IterableIterator<number>

      - #### Returns IterableIterator<number>

  - ##### throttleTimeSlot: number

  #### Returns Observable<BatchGetItemOutput>

Generated using TypeDoc